Skip to main content
GET
/
organizations
/
{organization_id}
/
invoices
/
{invoice_id}
Get invoice
curl --request GET \
  --url {schemes}://api.upsun.com/organizations/{organization_id}/invoices/{invoice_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "invoice_number": "<string>",
  "type": "invoice",
  "order_id": "<string>",
  "related_invoice_id": "<string>",
  "status": "paid",
  "owner": "<string>",
  "invoice_date": "2023-11-07T05:31:56Z",
  "invoice_due": "2023-11-07T05:31:56Z",
  "created": "2023-11-07T05:31:56Z",
  "changed": "2023-11-07T05:31:56Z",
  "company": "<string>",
  "total": 123,
  "address": {
    "country": "<string>",
    "name_line": "<string>",
    "premise": "<string>",
    "sub_premise": "<string>",
    "thoroughfare": "<string>",
    "administrative_area": "<string>",
    "sub_administrative_area": "<string>",
    "locality": "<string>",
    "dependent_locality": "<string>",
    "postal_code": "<string>"
  },
  "notes": "<string>",
  "invoice_pdf": {
    "url": "<string>",
    "status": "ready"
  }
}

Authorizations

Authorization
string
header
required

Path Parameters

invoice_id
string
required

The ID of the invoice.

organization_id
string
required

The ID of the organization.
Prefix with name= to retrieve the organization by name instead.

Response

OK

The invoice object.

id
string

The invoice id.

invoice_number
string

The invoice number.

type
enum<string>

Invoice type.

Available options:
invoice,
credit_memo
order_id
string

The id of the related order.

If the invoice is a credit memo (type=credit_memo), this field stores the id of the related/original invoice.

status
enum<string>

The invoice status.

Available options:
paid,
charged_off,
pending,
refunded,
canceled,
refund_pending
owner
string<ulid>

The ULID of the owner.

invoice_date
string<date-time> | null

The invoice date.

invoice_due
string<date-time> | null

The invoice due date.

created
string<date-time> | null

The time when the invoice was created.

changed
string<date-time> | null

The time when the invoice was changed.

company
string

Company name (if any).

total
number<double>

The invoice total.

address
object

The address of the user.

notes
string

The invoice note.

invoice_pdf
object

Invoice PDF document details.